package cn.com.qmth.stmms.biz.config.ukey;

import cn.com.qmth.stmms.biz.config.service.impl.SystemCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class UKeyJob {

	@Autowired
	private SystemCache systemCache;

	@Value("${qmth.ukey.license.id}")
	private Long ukeyLicenseId;

	@Scheduled(fixedDelay = 1 * 1000, initialDelay = 5 * 1000)
	public void run() {
		try {
			UKeyHelper.slmInitEasy();
			UKeyHelper.UKEY_STATUS = UKeyHelper.verifyUKey(ukeyLicenseId);
			UKeyHelper.UKEY_MESSAGE = UKeyHelper.UKEY_STATUS ? "U盾许可认证成功" : "U盾许可认证失败";
			if(!UKeyHelper.UKEY_STATUS){
				systemCache.reset();
			}
		} catch (Exception e) {
			UKeyHelper.UKEY_STATUS = false;
			UKeyHelper.UKEY_MESSAGE = "U盾许可认证异常";
			systemCache.reset();
		} finally {
			UKeyHelper.slmCleanupEasy();
		}
	}

}
